Name:		globalplatform
Version:	6.0.0
Release:	1%{?dist}
Summary:	Library for access to OP 2.0.1 and GP 2.1.1 conforming smart cards
Group:		System Environment/Libraries
License:	LGPLv3+
URL:		http://sourceforge.net/projects/globalplatform/
Source0:	http://downloads.sourceforge.net/globalplatform/%{name}-%{version}.tar.gz
Patch0:		globalplatform_cmake_build.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	cmake
BuildRequires:	openssl-devel
BuildRequires:	minizip-devel
BuildRequires:	zlib-devel
BuildRequires:	pcsc-lite-devel

%description
This is a library for providing access to OpenPlatform 2.0.1 and
GlobalPlatform 2.1.1 conforming smart cards.

%package devel
Summary:	Development libraries for globalplatform
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
BuildRequires:	doxygen
Requires:	pkgconfig

%description devel
The globalplatform-devel package contains header files necessary for
developing programs using the globalplatform library.

%prep
%setup -q 
%patch0 -p1

%build
%cmake .
make VERBOSE=1 %{?_smp_mflags}
(cd src/ && doxygen Doxyfile.cfg)

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LESSER README ChangeLog COPYING NEWS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/*.pc
%doc src/Doc/html

%changelog
* Sun Oct 10 2010 François Kooman <fkooman@tuxed.net> - 6.0.0-1
- update to 6.0.0
- introduce CMake as buildsystem (sent upstream)
- *FIXME* link/build against external minizip
- generate doxygen documentation and add to devel package

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 5.0.0-9
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Tomas Mraz <tmraz@redhat.com> 5.0.0-6
- rebuild with new openssl

* Wed Dec  3 2008 François Kooman <fkooman at tuxed net> 5.0.0-5
- make it build with libtool 2.2 (rawhide)

* Sun Oct 15 2008 François Kooman <fkooman at tuxed net> 5.0.0-4
- requires pkgconfig
- actually include GlobalPlatform directory in .pc pkgconfig patch
- add upstream patch bug report

* Fri Oct 10 2008 François Kooman <fkooman at tuxed net> 5.0.0-3
- Add pkgconfig file by using patch, add autoconf goo
- Downloaded Source0 again, retaining timestamp this time

* Fri Oct  3 2008 François Kooman <fkooman at tuxed net> 5.0.0-2
- license is GPLv3+
- change source URL according to packaging guidelines for Sourceforge.net:
    https://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net
- devel package requires pcsc-lite-devel as well
- AUTHORS added to docs
- keep timestamps on files being copied
- removed redundant include directory 
  also includes all the files under that directory

* Mon Sep 22 2008 François Kooman <fkooman at tuxed net> 5.0.0-1
- Initial package for Fedora

